package lv.tsi.oodb.db.orders;

import lv.tsi.oodb.odmg.*;
import lv.tsi.oodb.core.MetaObject;
import java.util.*;

/**
 * LinkDoc Class. Represents "linked document to SubOrder" business object of our scheme
 *
 * @author Alex Gulaev
 * @versio 0.0.1 11 November 2000
 */
public class LinkDoc extends MetaObject {
      

    //private int orderID; ????
    private String docNum;
    private String notes;
    private Date lastDate;
    private String docType;


    //***** Relations *******                

    private SubOrder suborder;

    //************************
    public LinkDoc() {}

    public void init( String docNum, Date lastDate, String docType ) {

       
        init(docNum, "", lastDate, docType );
        
        
    }
        
    
    public void init( String docNum, String notes,
                      Date lastDate, String docType ) {

        this.docNum   = docNum;
        this.notes    = notes;
        this.lastDate = lastDate;
        this.docType  = docType;

    }


    
    public void setDocNum(String docNum) {
        this.docNum   = docNum;
    }    
        
    public void setNotes(String notes) {
        this.notes    = notes;
    }

    public void setLastDate(Date lastDate) {
        this.lastDate = lastDate;
    }

    public void setDocType(String docType) {
        this.docType  = docType;
    } 
       
    
    
    public String getDocNum() {
        return docNum;
    }    
        
    public String getNotes() {
        return notes;
    }

    public Date getLastDate() {
        return lastDate;
    }

    public String getDocType() {
        return docType;
    } 

    

    
    public void linkToSubOrder (SubOrder sb) {
     suborder = sb;

    }
    

    public String toString() {
        return "Document number: " + docNum +", Type: " + docType;
    }

}
