package lv.tsi.oodb.db.orders;

import lv.tsi.oodb.odmg.*;
import lv.tsi.oodb.core.MetaObject;
import java.util.*;

/**
 * Manufacturer Class. Represents Manufacurer business object of our scheme
 *
 * @author Alex Gulaev
 * @versio 0.0.4 03 December 2000
 */
public class Manufacturer extends MetaObject {
       
    
    private String classID;
    private String logo;
    private String name;
    private String code;
    

    //***** Relations *******

    private SetOfObject products=new SetOfObject();
    private Address address;
    //************************

    public Manufacturer(){}

    public void init( String classID,  String name, String code ) {
        this.classID   = classID;
        this.name      = name;
        this.code      = code;
    }
    
    public void init( String classID, String logo, String name, String code ) {
        this.classID   = classID;
        this.logo      = logo;
        this.name      = name;
        this.code      = code;
    }

    public void setClassID (String classID){
        this.classID   = classID;
    }

    public void setLogo (String logo){
        this.logo      = logo;
    } 

    public void setName (String name){
        this.name      = name;
    }

    public void setCode (String code) {
        this.code      = code;
    }


    public String getClassID (){
        return classID;
    }

    public String getLogo (){
        return logo;
    } 

    public String getName (){
        return name;
    }

    public String getCode () {
        return code;
    }


   
    public void addProduct( Product prod ) {
        products.add(prod);
    }
  
    public SetOfObject getProducts() {
        return products;
    }

   
    public void linkToAddress( Address adr ) {
        address = adr;
    }

    public Address getAddress() {
        return address;
    }

    
    
    public String toString() {
        return "SubOrder id: " + this.getOID().toString();
    }

}
