package lv.tsi.oodb.db.orders;

import lv.tsi.oodb.odmg.*;
import lv.tsi.oodb.core.MetaObject;
import java.util.*;

/**
 * User Class. Represents any User business object of our scheme
 *
 * @author Alex Gulaev
 * @versio 0.0.5 16 December 2000
 */
public class User extends MetaObject {
      
    private String classID;
    private String name;
    private String language;
    private String department;
    private Date dateReg;
    private boolean valid;
        
    //***** Relations *******
    //?????????
  
    //************************
    public User(){}
    

    public void init(String classID, String name, String language,
                      String department ) {
        

     init(classID, name, language, department, new Date() ,true );
     
    }



    public void init(String classID, String name, String language,
                      String department, Date dateReg, boolean valid ) {
   
     this.classID         = classID;
     this.name            = name;
     this.language        = language;
     this.department      = department;
     this.dateReg         = dateReg;
     this.valid           = valid;
        
    }


    public void setClassID(String classID) {
     this.classID         = classID;
    } 

    public void setName(String name) { 
     this.name            = name;
    }

    public void setLanguage(String language) {
     this.language        = language;
    } 
    
    public void setDepartment(String department) { 
     this.department      = department;
    } 

    public void setDateReg(Date dateReg) {
     this.dateReg         = dateReg;
    } 
     
    public void setValid(boolean valid) { 
     this.valid           = valid;
    }


    

    public String getClassID() {
     return classID;
    } 

    public String getName() { 
     return name;
    }

    public String getLanguage() {
     return language;
    } 
        
    public String getDepartment() { 
     return department;
    } 

    public Date getDateReg() {
     return dateReg;
    } 
     
    public boolean isValid() { 
     return valid;
    }

    
       
    

    public String toString() {
        return "User id: " + this.getOID().toString(); // +", Valid: " + valid.toString();
    }

}
