package lv.tsi.oodb.debug;

import java.sql.*;

/**
 * ODMG classes implementation test.
 *
 * @author  Alexey Vasilyev
 * @version 0.0.1 1 November 2000
 */
public class MSAccessTest {


    public static void main( String[] str ) {
        DBConnections.init( "sun.jdbc.odbc.JdbcOdbcDriver", "jdbc:odbc:perfomance" );
        String sql = "";
        try {
            Statement stmt = DBConnections.getConnection().createStatement();
            //insert into word table
            sql = "INSERT INTO TEST (NAME) VALUES ('Ivanov');";
            int i;
            long cur = System.currentTimeMillis();
            for (i=0; i<50000; i++)
                stmt.executeUpdate(sql);
            System.out.println( "Inserted " + i + "records within " +
                (System.currentTimeMillis()-cur)/1000 + " sec." );
        } catch (SQLException e) {
            System.out.println( e.toString() );
            System.out.println( "SQL query: " + sql );
        }
    }

}