package lv.tsi.oodb.debug;

import lv.tsi.oodb.odmg.*;

/**
 * ODMG classes implementation test.
 *
 * @author  Alexey Vasilyev
 * @version 0.0.1 1 November 2000
 */
public class ODMGTest {

	public static void main(String[] str) {
	   System.out.println( "--- SET ---------------------------------" );
	   SetOfObject a = new SetOfObject();
	   a.add("1");
	   a.add("5");
	   a.add("2");
	   a.add("3");
	   a.add("4");
 	   a.add("4");

	   SetOfObject b = new SetOfObject();
	   b.add("2");
	   b.add("3");
	   b.add("4");
	   b.add("5");

	   System.out.println( "SET A: " + a );
	   System.out.println( "SET B: " + b );
	   System.out.println();

	   System.out.println( "UNION: " + a.union(b) );
	   System.out.println( "INTERSECTION: " + a.intersection(b) );
	   System.out.println( "DIFFERENCE: " + a.difference(b) );
	   System.out.println( "SUPERSETOF: " + a.supersetOf(b) );
	   System.out.println( "SUBSETOF: " + a.subsetOf(b) );
	   System.out.println( "PROP SUPERSETOF: " + a.properSupersetOf(b) );
	   System.out.println( "PROP SUBSETOF: " + a.properSubsetOf(b) );
	   System.out.println();
	   
	   System.out.println( "--- BAG ---------------------------------" );
	   BagOfObject c = new BagOfObject();
	   c.add("1");
	   c.add("2");
	   c.add("3");
	   c.add("4");

	   BagOfObject d = new BagOfObject();
	   d.add("1");
	   d.add("2");
	   d.add("3");
	   d.add("4");

	   System.out.println( "BAG C: " + c );
	   System.out.println( "BAG D: " + d );
	   System.out.println();

	   System.out.println( "OCCURENCES: " + c.occurrences("2") );
	   System.out.println( "UNION: " + c.union(d) );
	   System.out.println( "INTERSECTION: " + c.intersection(d) );
	   System.out.println( "DIFFERENCE: " + c.difference(d) );
	   System.out.println();

	   System.out.println( "--- LIST ---------------------------------" );
	   ListOfObject e = new ListOfObject();
	   e.add( "2" );
	   e.add( "1" );
	   ListOfObject f = new ListOfObject();
	   f.add( "3" );
	   f.add( "3" );

	   System.out.println( "LIST E: " + e );
	   System.out.println( "LIST F: " + f );
	   System.out.println();
	   System.out.println( "CONCAT: " + e.concat( f ) );
	   System.out.println();	   
	}

}