package lv.tsi.oodb.odmg;

import org.odmg.*;

/**
 * Array.
 *
 * This class represents relationship 1:M
 * There can be not-unique values and the list is not ordered.
 * Equivalent to ODMG 3.0
 *   ARRAY <Type, maxSize>
 *
 * @author Alexey Vasilyev
 * @version 0.0.2 12 November 2000
 */
public class ArrayOfObject extends java.util.Vector implements org.odmg.DArray {

    /**
     * Sets the size of this vector. If the new size is greater than the  current size,
     * new null items are added to the end of  the vector. If the new size is less than
     * the current size, all components at index newSize and greater are discarded.
     */
    public void resize(int newSize) {
        setSize( newSize );
    }

// DCollection

    /**
     * @param predicate   OQL predicate. For example, "student=5".
     */
    public Object selectElement(String predicate) throws QueryInvalidException {
        // Not implemented yet
        throw new NotImplementedException ("OQL not supported");
    }

    public java.util.Iterator select(String predicate) throws QueryInvalidException {
        // Not implemented yet
        throw new NotImplementedException ("OQL not supported");
    }

    public DCollection query(String predicate) throws QueryInvalidException {
        // Not implemented yet
        throw new NotImplementedException ("OQL not supported");
    }

    public boolean existsElement(String predicate) throws QueryInvalidException {
        // Not implemented yet
        throw new NotImplementedException ("OQL not supported");
    }

}