package lv.tsi.oodb.core;

import org.odmg.ODMGException;

/**
 * This is the base class for all exceptions thrown by an ODMG implementation.
 *
 * @author Alexey Vasilyev
 * @version 0.0.1 5 Novmber 2000
 */
public class OODBException extends ODMGException {

    /**
     * Construct an <code>OODBException</code> object without an error message.
     */
    public OODBException() {
        super();
    }

    /**
     * Construct an <code>OODBException</code> object with an error message.
     * @param msg The error message associated with this exception.
     */
    public OODBException(String msg) {
        super(msg);
    }

}
