package lv.tsi.oodb.core;

/**
 * This is the base class for all exceptions thrown by an ODMG implementation.
 *
 * @author Alexey Vasilyev
 * @version 0.0.1 5 November 2000
 */
public class OODBRuntimeException extends org.odmg.ODMGRuntimeException {

    /**
     * Construct an <code>OODBException</code> object without an error message.
     */
    public OODBRuntimeException() {
        super();
    }

    /**
     * Construct an <code>OODBException</code> object with an error message.
     * @param msg	The error message associated with this exception.
     */
    public OODBRuntimeException(String msg) {
        super(msg);
    }

}
