package lv.tsi.oodb.core;

/**
 * An attempt to set or get a object that doesn't exist via its OID.
 *
 * @author Alexey Vasilyev
 * @version 0.0.1 19 November 2000
 */
public class ObjectNotFoundException extends OODBRuntimeException {

    /**
     * Construct an <code>ObjectNotFoundException</code> object without an error message.
     */
    public ObjectNotFoundException() {
        super();
    }

    /**
     * Construct an <code>ObjectNotFoundException</code> object with an error message.
     * @param msg	The error message associated with this exception.
     */
    public ObjectNotFoundException(String msg) {
        super(msg);
    }

}
