package lv.tsi.oodb.core;

/**
 * An attempt to set an object while the object with this OID already exists.
 *
 * @author Alexey Vasilyev
 * @version 0.0.1 19 November 2000
 */
public class ObjectNotUniqueException extends OODBRuntimeException {

    /**
     * Construct an <code>ObjectNotUniqueException</code> object without an error message.
     */
    public ObjectNotUniqueException() {
        super();
    }

    /**
     * Construct an <code>ObjectNotUniqueException</code> object with an error message.
     * @param msg	The error message associated with this exception.
     */
    public ObjectNotUniqueException(String msg) {
        super(msg);
    }

}
