package lv.tsi.oodb.db.orders;

import lv.tsi.oodb.odmg.*;
import lv.tsi.oodb.core.MetaObject;
// import java.util.*;

/**
 * SubOrder Class. Represents sub order business object of our scheme
 *
 * @author Alex Gulaev
 * @versio 0.0.4 02 December 2000
 */
public class Status extends MetaObject {
      
    private String statusName;
    private int statusWeight;
    private String statusClassID;
    private String description;
     

    //***** Relations *******

   // private User updater; ?????
    
    //************************

    public Status(){}
    
    public void init( String statName, int statWeight,
                      String statClassID, String statDescrp ) {
        
        this.statusName    = statName;
        this.statusWeight  = statWeight;
        this.statusClassID = statClassID;
        this.description   = statDescrp; 
       
    }
    
    public void init( String statName, int statWeight,
                                 String statClassID) {

        init(statName, statWeight, statClassID, ""); 
        
    }

    public void init( String statName, String statClassID) {

        init(statName, 1, statClassID, ""); 
        
    }
   


    public void setStatusName(String statName){
        this.statusName    = statName;
    }

    public void setStatusWeight(int statWeight){
        this.statusWeight  = statWeight;
    }

    public void setStatusClassID(String statClassID){
        this.statusClassID = statClassID;
    }

    public void setDescription(String statDescrp){
        this.description   = statDescrp; 
    }
    

    
   

    public String getStatusName(){
        return statusName;
    }

    public int getStatusWeight(){
        return statusWeight;
    }

    public String getStatusClassID(){
        return statusClassID;
    }

    public String getDescription(){
        return description; 
    }

    
    
    
    public String toString() {
        return "Status Value: " + statusName +", Name: " + statusName;
    }

}
