package lv.tsi.oodb.debug;

import lv.tsi.oodb.odmg.*;
import lv.tsi.oodb.core.MetaObject;

/**
 * Example of class definition.
 *
 * @author Alexey Vasilyev
 * @versio 0.0.1 5 November 2000
 */
class MyClass extends MetaObject {

    // Some members

    short  s;
    int    i = 100;
    float  f;
    double d;
    java.lang.Object obj;
    java.util.Date aDate;
    String  str = "Test";
    SetOfObject     set;
    BagOfObject     bag;
    ArrayOfObject   array;
    ListOfObject    list;
    MyClass myObj;
    boolean aBool;
    long l;

    transient java.util.Enumeration e;  // this one won't be stored

    public MyClass() {
        set   = new SetOfObject();
        bag   = new BagOfObject();
        array = new ArrayOfObject();
        list  = new ListOfObject();
        aDate = new java.util.Date();

        i = 11;
        s = 12;
        d = 3.1415926;
        str = "my first persistent object";
    }

    public String toString() {
        return str+" ("+Integer.toString(i)+", "
            +Integer.toString(s)+", "
            +Double.toString(d)+", "
            +aDate.toString()+")";
    }

}
